Name:		gus
Version:	1.1.2
Release:	2.1
Vendor:		Linkat
Summary:	Gestió d'usuaris
Group:		Applications/Edutaiment
License:	GPL
Source:		%{name}-%{version}-src.zip
URL:		http://linkat.xtec.cat
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  java-1_6_0-sun-devel ant unzip
Requires:	java-1_6_0-sun
Distribution:	education

%description
Gestió d'usuaris del servidor Linkat

%prep
%setup -n %{name}-%{version}

%build
export JAVA_HOME=/usr/lib/jvm/java-1.6.0-sun-1.6.0
ant

%install
mkdir -p %{buildroot}/usr/share/java/gus
mkdir -p %{buildroot}/usr/share/applications
mkdir -p %{buildroot}/usr/share/pixmaps
mkdir -p %{buildroot}/usr/sbin
cp dist/*.png %{buildroot}/usr/share/pixmaps/
cp dist/*.jar %{buildroot}/usr/share/java/gus/
cp gus.desktop gus-keys.desktop %{buildroot}/usr/share/applications/
cp gus.start gus-keys.start %{buildroot}/usr/share/java/gus/
cp gusadduser gusdeluser gusmoduser %{buildroot}/usr/sbin/

%clean
rm -rf %buildroot

%files
%defattr (-,root,root)
/usr/share/pixmaps/*.png
/usr/share/applications/*.desktop
/usr/share/java/gus
/usr/sbin/gusadduser
/usr/sbin/gusdeluser
/usr/sbin/gusmoduser

%changelog
* Mon Oct 11 2010 - David Lara <dlara@espherica.com> - 1.1.2
- Rebuild for Linkat 4
* Thu Apr 08 2010 - Robert González <rgonzalez@opentrends.net>, Marc Egea <megea@opentrends.net>
- New upstream version
- Check that sagaID is a primary key for LDAP users
* Wed Feb 17 2010 - David Lara <dvlara@gmail.com>
- Cleaned SPEC file
- Fix source files not copy to SRPM
* Thu Jan 05 2010 - David Lara <dvlara@gmail.com>
- Update to version 1.1.1
